SystemOrganization addCategory: #ConfigurationOfMongoTalk!

Object subclass: #ConfigurationOfMongoTalk
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfMongoTalk'!

!ConfigurationOfMongoTalk class methodsFor: 'development support' stamp: 'EstebanLorenzano 1/29/2012 14:30'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfMongoTalk class methodsFor: 'private' stamp: 'EstebanLorenzano 1/29/2012 14:30'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfMongoTalk class methodsFor: 'private' stamp: 'EstebanLorenzano 1/29/2012 14:30'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfMongoTalk class methodsFor: 'private' stamp: 'EstebanLorenzano 1/29/2012 14:30'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfMongoTalk class methodsFor: 'metacello tool support' stamp: 'EstebanLorenzano 1/29/2012 14:30'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMongoTalk class methodsFor: 'loading' stamp: 'EstebanLorenzano 1/29/2012 14:30'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfMongoTalk class methodsFor: 'loading' stamp: 'EstebanLorenzano 1/29/2012 14:30'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfMongoTalk class methodsFor: 'loading' stamp: 'EstebanLorenzano 1/29/2012 14:30'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfMongoTalk class methodsFor: 'accessing' stamp: 'EstebanLorenzano 1/29/2012 14:30'!
project

	^self new project! !

!ConfigurationOfMongoTalk class methodsFor: 'development support' stamp: 'EstebanLorenzano 1/29/2012 14:30'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfMongoTalk methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 1/29/2012 18:55'!
baseline10: spec
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline. 
		spec repository: 'http://www.squeaksource.com/MongoTalk'.
		
		spec 
			project: 'Grease' with: [ 
				spec
					className: 'ConfigurationOfGrease';
					file: 'ConfigurationOfGrease';
					version: #stable;
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			package: 'Mongo-Squeak';
			package: 'Mongo-BSON';
			package: 'Mongo-Core'	with: [
				spec requires: #('Mongo-Squeak' 'Mongo-BSON') ] ].! !

!ConfigurationOfMongoTalk methodsFor: 'baselines' stamp: 'FrancoisStephany 11/14/2012 19:35'!
baseline13: spec
	<version: '1.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline. 
		spec repository: 'http://smalltalkhub.com/mc/francois/MongoTalk/main'.
		
		spec 
			project: 'Grease' with: [ 
				spec
					className: 'ConfigurationOfGrease';
					file: 'ConfigurationOfGrease';
					version: #stable;
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			package: 'Mongo-Squeak';
			package: 'Mongo-BSON';
			package: 'Mongo-Core'	with: [
				spec requires: #('Mongo-Squeak' 'Mongo-BSON') ] ].! !

!ConfigurationOfMongoTalk methodsFor: 'baselines' stamp: 'MarianoMartinezPeck 11/20/2012 20:53'!
baseline14: spec
	<version: '1.4-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline. 
		spec repository: 'http://smalltalkhub.com/mc/francois/MongoTalk/main'.
		
		spec 
			project: 'Grease' with: [ 
				spec
					className: 'ConfigurationOfGrease';
					file: 'ConfigurationOfGrease';
					version: #stable;
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			package: 'Mongo-Squeak' with: [
				spec requires: #('Grease')];
			package: 'Mongo-BSON';
			package: 'Mongo-Core'	with: [
				spec requires: #('Mongo-Squeak' 'Mongo-BSON') ];
			package: 'MongoQueries' ]! !

!ConfigurationOfMongoTalk methodsFor: 'symbolic versions' stamp: 'EstebanLorenzano 6/5/2012 17:33'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.2'.
! !

!ConfigurationOfMongoTalk methodsFor: 'accessing' stamp: 'EstebanLorenzano 1/29/2012 14:30'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfMongoTalk methodsFor: 'symbolic versions' stamp: 'EstebanLorenzano 6/14/2013 11:22'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'pharo1.3.x' version: '1.1'.
	spec for: #'pharo1.4.x' version: '1.5'.
	spec for: #'pharo2.0.x' version: '1.5'.! !

!ConfigurationOfMongoTalk methodsFor: 'versions' stamp: 'EstebanLorenzano 1/29/2012 14:44'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec
			package: 'Mongo-Squeak' with: 'Mongo-Squeak-EstebanLorenzano.0.8';
			package: 'Mongo-BSON' with: 'Mongo-BSON-NicolasPetton.21';
			package: 'Mongo-Core' with: 'Mongo-Core-NicolasPetton.21' ].! !

!ConfigurationOfMongoTalk methodsFor: 'versions' stamp: 'EstebanLorenzano 4/9/2012 20:43'!
version11: spec
	<version: '1.1' imports: #('1.0') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec
			package: 'Mongo-Squeak' with: 'Mongo-Squeak-NorbertHartl.0.12';
			package: 'Mongo-BSON' with: 'Mongo-BSON-NorbertHartl.25' ].! !

!ConfigurationOfMongoTalk methodsFor: 'versions' stamp: 'EstebanLorenzano 6/5/2012 17:34'!
version12: spec
	<version: '1.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'updated to newer versions'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '6/5/2012 17:33'.
		spec project: 'Grease' with: #'stable'.
		spec 
			package: 'Mongo-Squeak' with: 'Mongo-Squeak-NorbertHartl.0.12';
			package: 'Mongo-BSON' with: 'Mongo-BSON-NicolasPetton.29';
			package: 'Mongo-Core' with: 'Mongo-Core-NicolasPetton.22'. ].
! !

!ConfigurationOfMongoTalk methodsFor: 'versions' stamp: 'FrancoisStephany 11/14/2012 19:37'!
version13: spec
	<version: '1.3' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Add a MongoQuery object. The public interface has changed since version 1.3'.
		spec author: 'FrancoisStephany'.
		spec project: 'Grease' with: #'stable'.
		spec 
			package: 'Mongo-Squeak' with: 'Mongo-Squeak-NorbertHartl.0.12';
			package: 'Mongo-BSON' with: 'Mongo-BSON-FrancoisStephany.30';
			package: 'Mongo-Core' with: 'Mongo-Core-FrancoisStephany.26'. ].
! !

!ConfigurationOfMongoTalk methodsFor: 'versions' stamp: 'NicolasPetton 11/17/2012 13:18'!
version14: spec
	<version: '1.4' imports: #('1.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New query API. The public interface has changed since version 1.3'.
		spec author: 'NicolasPetton'.
		spec project: 'Grease' with: #'stable'.
		spec 
			package: 'Mongo-Squeak' with: 'Mongo-Squeak-NorbertHartl.0.12';
			package: 'Mongo-BSON' with: 'Mongo-BSON-FrancoisStephany.30';
			package: 'Mongo-Core' with: 'Mongo-Core-NicolasPetton.28';
			package: 'MongoQueries' with: 'MongoQueries-NicolasPetton.5'. ].
! !

!ConfigurationOfMongoTalk methodsFor: 'versions' stamp: 'DamienCassou 5/17/2013 17:03'!
version15: spec
	<version: '1.5' imports: #('1.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New query API. The public interface has changed since version 1.3'.
		spec author: 'NicolasPetton'.
		spec project: 'Grease' with: #'stable'.
		spec 
			package: 'Mongo-Squeak' with: 'Mongo-Squeak-EstebanLorenzano.13';
			package: 'Mongo-BSON' with: 'Mongo-BSON-EstebanLorenzano.31';
			package: 'Mongo-Core' with: 'Mongo-Core-DamienCassou.35';
			package: 'MongoQueries' with: 'MongoQueries-NicolasPetton.6'. ].
! !
